Table of Contents

## Name

AuFileFormats - audio file formats.

## Synopsis

#include <audio/audiolib.h>

Currently, the following file formats are supported: SoundFileFormatSnd, SoundFileFormatVoc, SoundFileFormatWave, SoundFileFormatAiff, SoundFileFormatSvx.

SoundFileFormatSnd
  Designates the format used by Sun and NeXT machines. Supports the AuFormatULAW8, AuFormatLinearUnsigned8 and AuFormatLinearSigned16MSB data formats.
SoundFileFormatVoc
  Designates the Creative Labs VOC file format. Supports the AuFormatLinearUnsigned8 data format.
SoundFileFormatWave
  Designates the Microsoft WAVE file format. Supports the AuFormatLinearUnsigned8 and AuFormatLinearSigned16LSB data formats.
SoundFileFormatAiff
  Designates the format used by Apple and SGI machines. Supports the AuFormatLinearSigned8 and AuFormatLinearSigned16MSB data formats.
SoundFileFormatSvx
  Designates the format used on Amigas. Supports the AuFormatLinearSigned8 data format.

## See Also

AuDataFormats.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- See Also